Summary: A desktop background image changer.
Name: chbg
Version: 1.1 
Release: 2
Copyright: GPL
Group: Amusements/Graphics
Source: ftp://ftp.idata.sk/pub/unix/x11/chbg-%{version}.tgz 
URL: http://www.idata.sk/~ondrej/chbg/index.html
Buildroot: /var/tmp/%{name}-root
BuildPrereq: gdk-pixbuf-devel gtk+-devel
Requires: gtk+ , gdk-pixbuf

%description
The ChBg program will change your desktop background image at set
intervals. ChBg can render images with in five different ways: tiled,
tiled mirrored, maximized image, centered with a selected background
color, and centered and scaled.  ChBg uses the Imlib library for
loading images, so it support many image formats (i.e., anything Imlib
supports). ChBg includes a GUI configuration program, can load setup
files and can be used as a screensaver or as an xscreensaver hack.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS 
%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/apps/Graphics/*
%{_datadir}/pixmaps/*
%{_mandir}/*/*

%changelog
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov  8 2000 Tim Powers <timp@redhat.com>
- updated to 1.1

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 31 2000 Tim Powers <timp@redhat.com>
- updated to 1.0.1
- added some pretty importaint things to the files list, ie. the man page and
  the Gnome desktop file.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- updated to 0.9pl1

* Tue Nov 2 1999 Tim Powers <timp@redhat.com>
- updated to 0.7

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- created spec
- built for Powertools
